Description

Easy help. I will add an option.

Related issues:

Related to Installer - Feature #11781: Add smart-proxy 1.10 configuration opt... Closed 09/11/2015

Associated revisions

Revision 77e0262c - 09/11/2015 07:34 AM - Lukas Zapletal 

Fixes #11676 - added dhcp_server option

History

#1 - 09/03/2015 07:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/316 added

- Pull request deleted ()

#2 - 09/03/2015 07:52 AM - Lukas Zapletal

- Bugzilla link set to 1259698

#3 - 09/11/2015 07:58 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

#4 - 09/11/2015 08:00 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#5 - 09/11/2015 08:02 AM - Dominic Cleal

- Tracker changed from Bug to Feature

#6 - 09/11/2015 08:05 AM - Dominic Cleal

- Related to Feature #11781: Add smart-proxy 1.10 configuration options added

#7 - 09/11/2015 09:37 AM - Lukas Zapletal

WORKAROUND: Edit /usr/share/foreman-proxy/modules/dhcp/dhcp_api.rb and replace the IP address on the line 17 to match your DHCP external

service:

@server = Proxy::DHCP::ISC.new(:name => "127.0.0.1",

 Then restart foreman-proxy service.
#8 - 10/26/2015 06:01 PM - Konstantin Orekhov

While this is certainly a useful thing to have, how does one go about the fact that *.conf files from ISC DHCP are expected to be locally available to

Foreman smart-proxy (to read all subnets info since it is not available over OMAPI)?

NFS or rsync are proposed to be used for that? Something else?

#9 - 10/27/2015 04:40 AM - Dominic Cleal

Yes, NFS I think.  Lukas wrote up some documentation on the foreman-dev list, but it hasn't been submitted as part of our manual.  I put NFS as the

recommendation in the manual for the :dhcp_server setting: http://theforeman.org/manuals/1.10/index.html#4.3.4DHCP

#10 - 01/04/2016 04:49 PM - Konstantin Orekhov

One little thing, guys. It appears that this new option did not make it into foreman-installer documentation at 

http://theforeman.org/manuals/1.10/index.html#3.2.2InstallerOptions

--foreman-proxy-dhcp-server

It is there in "foreman-installer --help" output though.

Thanks!
